%define	eina_ver	1.7.10
Summary:	Generic loaders for Evas library
Summary(pl.UTF-8):	Ogólne programy wczytujące dla biblioteki Evas
Name:		evas-loaders-generic
Version:	1.7.10
Release:	3
License:	GPL v2
Group:		Libraries
Source0:	http://download.enlightenment.org/releases/evas_generic_loaders-%{version}.tar.bz2
# Source0-md5:	2ba61dc36d7495d6538350777ec4ae2b
URL:		http://trac.enlightenment.org/e/wiki/Evas
BuildRequires:	cairo-devel >= 1.0.0
BuildRequires:	eina-devel >= %{eina_ver}
BuildRequires:	gstreamer0.10-devel >= 0.10.13
BuildRequires:	gstreamer0.10-plugins-base-devel >= 0.10.13
BuildRequires:	libraw-devel
BuildRequires:	librsvg-devel >= 2.14.0
BuildRequires:	libspectre-devel
BuildRequires:	pkgconfig
BuildRequires:	poppler-devel >= 0.20
BuildRequires:	zlib-devel
Requires:	cairo >= 1.0.0
Requires:	eina >= %{eina_ver}
Requires:	gstreamer0.10 >= 0.10.13
Requires:	gstreamer0.10-plugins-base >= 0.10.13
Requires:	librsvg >= 2.14.0
Requires:	poppler >= 0.20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
These are additional "generic" loaders for Evas that are stand-alone
executables that evas may run from its generic loader module. This
means that if they crash, the application loading the image does not
crash also. In addition the licensing of these binaries will not
affect the license of any application that uses Evas as this uses a
completely generic execution system that allows anything to be plugged
in as a loader.

This package contains the following loaders:
- GST for multimedia files, using GStreamer
- PDF, using poppler
- PS for PhostScript files, using libspectre
- RAW for raw photos, using libraw
- SVG for SVG graphics, using librsvg
- XCF

%description -l pl.UTF-8
Ten pakiet zawiera dodatkowe "ogólne" moduły wczytujące dla biblioteki
Evas, będące samodzielnymi programami, które mogą być uruchamiane z
poziomu ogólnego modułu wczytującego. Oznacza to, że jeśli ulegną
awarii, nie pociągną za sobą aplikacji wczytującej obraz. Ponadto
licencja niniejszych programów nie wpływa na licencję aplikacji
wykorzystujących bibliotekę Evas, jako że używany jest całkowicie
ogólny mechanizm uruchamiania, pozwalający na podłączenie wszystkiego
jako programu wczytującego.

Ten pakiet zawiera następujące moduły wczytujące:
- GST do plików multimedialnych, wykorzystujący GStreamera
- PDF wykorzystujący popplera
- PS do plików PostScriptowych, wykorzystujący libspectre
- RAW do zdjęć w formacie surowym, wykorzystujący libraw
- SVG do rysunków SVG, wykorzystujący librsvg
- XCF

%prep
%setup -q -n evas_generic_loaders-%{version}

%build
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%dir %{_libdir}/evas/utils
%attr(755,root,root) %{_libdir}/evas/utils/evas_image_loader.*
%changelog
* Tue Nov 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/evas-loaders-generic.git;a=log;h=auto/th/evas-loaders-generic-1.7.10-3

* Sun Nov 23 2014 Jan Rękorajski <baggins@pld-linux.org> f59adce
- rel 3

* Thu May 01 2014 Jan Palus <atler@pld-linux.org> 73aee6f
- rel 2

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> acc216a
- updated to 1.7.10

* Mon Jan 20 2014 Jan Rękorajski <baggins@pld-linux.org> 45f156f
- release 4 (by relup.sh)

* Sun Jan 05 2014 Jan Rękorajski <baggins@pld-linux.org> 887b272
- release 3 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 20444dd
- release 2 (by relup.sh)

* Sat Nov 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 049e8e0
- updated to 1.7.9

* Wed Oct 09 2013 Jan Rękorajski <baggins@pld-linux.org> b8b0e65
- release 2 (by relup.sh)

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 250a166
- updated to 1.7.7

* Fri May 17 2013 Kacper Kornet <draenog@pld-linux.org> 1d16ed8
- release 3 (rebuild with libpoppler.so.37)

* Wed Apr 17 2013 Kacper Kornet <draenog@pld-linux.org> a0fbd2b
- release 2 (rebuild with poppler-0.22.3)

* Mon Apr 08 2013 Jakub Bogusz <qboosh@pld-linux.org> c4ac804
- updated to 1.7.6

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> c9e63c9
- updated required eina version

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 3743fe8
- updated to 1.7.5

* Sun Jan 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e3abc5e
- release 2 (by relup.sh)

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 650e91a
- updated to 1.7.3

* Thu Nov 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 4d94872
- updated to 1.7.2

* Sun Nov 04 2012 Jakub Bogusz <qboosh@pld-linux.org> e9307f4
- updated to 1.7.1
- adjusted for gstreamer0.10 line (only this is supported atm.)

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 81c0849
- rebuild to fix broken filedigests
- release 3 (by relup.sh)

* Thu Sep 27 2012 Jan Rękorajski <baggins@pld-linux.org> fe3a4ad
- package utils directory
- rel 2

